DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# StablePixelHeapFree

Destroy heap structure

## SYNOPSIS

`#include "dip_pixelqueue.h"`

dip_Error dip_StablePixelHeapFree ( heap )

## FUNCTION

Frees all data associated to `heap` and sets `heap` to 0.

## ARGUMENTS

Data type | Name | Description
`dip_StablePixelHeap *` | `heap` | The heap structure

## SEE ALSO

`StablePixelHeapNew`, `PixelHeapNew`, `PixelQueueNew`, `StablePixelHeapPush`, `StablePixelHeapPop`, `StablePixelHeapIsEmpty`